//+------------------------------------------------------------------+
//|                                               Vinin_LRMAS_v1.mq4 |
//|                                        Victor Nicolaev aka Vinin |
//|                                                    vinin@mail.ru |
//+------------------------------------------------------------------+
#property copyright "Victor Nicolaev aka Vinin"
#property link      "mailto: vinin@mail.ru"


#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Red
#property indicator_color2 Yellow


extern int period=34;
extern int signal= 5;

//---- buffers
double LRMA[];
double Signal[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init() {
//---- drawing settings
   SetIndexStyle(0,DRAW_LINE);
   SetIndexDrawBegin(0,0);
   SetIndexBuffer(0,LRMA);

   SetIndexStyle(1,DRAW_LINE);
   SetIndexDrawBegin(1,0);
   SetIndexBuffer(1,Signal);

   return(0); }//int init() 
//+------------------------------------------------------------------+
int start() {
   int limit;
   double tmp1,tmp2;
   int tmpBar, tmpTime;
   int counted_bars=IndicatorCounted();
   int i, j,k;
   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
   for (i = limit;i>=0;i--){
      tmp1=iMA(Symbol(),0,period,0,MODE_SMA,PRICE_CLOSE,i);
      tmp2=iMA(Symbol(),0,period,0,MODE_LWMA,PRICE_CLOSE,i);
      LRMA[i]=3.0*tmp2-2.0*tmp1;
      
   }
   for (i = limit;i>=0;i--) Signal[i]=iMAOnArray(LRMA,0,signal,0,MODE_SMA,i);
   return(0); 
}



